Description

Supportanfrage

Ich glaube, das könnte ein interessantes Tool sein.

Was muß ich dafür noch installiert haben bzw. Wo finde ich die processors zum Konvertieren? Ich hatte mir einmal angesehen, was

ich unter ADTF-File-Library finden kann. Da scheint es aber nichts fertig Kompiliertes zu geben. Hier finde ich nur Sourcen.

Lösung

Die ADTF File Library wird rein als Source Code geliefert, das müsstest du im Vorfeld kompilieren richtig.

Oder du nutzt die binary delivery davon im ADTF unter <ADTF_DIR>/3rdparty.

Die Processoren werden aber erst ab ADTF 3.4.0 Bestandteil von ADTF File Library sein.

Das wandert wie gesagt in die ADTF File Library und ist in der 0.4.0 schon enthalten, dementsprechend dann in ADTF 3.4.0.

Hier gibt es dann neben den CSV Processor zum Export auch einen CSV Reader zum Import.

Ebenso wird in den Guides beschrieben, wie ein Image Processor implementiert werden kann.

In ADTF DAT GUI Tools 0.2.0 wird es auch einen AVI Processor/Reader geben.

Seitens Device Toolbox kommt ebenso ein ASC Processor/Reader als auch MDF Processor in Device TB 3.0.0.

History

#1 - 2018-12-21 08:49 - hidden

- Status changed from New to In Progress

- Author changed from hidden to hidden

#2 - 2018-12-21 09:00 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Marco,

die ADTF File Library wird rein als Source Code geliefert, das müsstest du im Vorfeld kompilieren richtig.

Oder du nutzt die binary delivery davon im ADTF unter <ADTF_DIR>/3rdparty.

Die Processoren werden aber erst ab ADTF 3.4.0 Bestandteil von ADTF File Library sein, in ADTF 3.3.x findest du den CSV Processor noch extra:

<ADTF_DIR>/3rdparty/adtf_datprocessing/bin

Das wandert wie gesagt in die ADTF File Library und ist in der 0.4.0 schon enthalten, dementsprechend dann in ADTF 3.4.0.

Hier gibt es dann auch einen CSV Reader zum Import.

Ebenso wird in den Guides beschrieben, wie ein Image Processor implementiert werden kann.

In ADTF DAT GUI Tools 0.2.0 wird es auch einen AVI Processor/Reader geben.

Seitens Device Toolbox kommt ebenso ein ASC Processor/Reader als auch MDF Processor in Device TB 3.0.0.

2024-04-29 1/4

support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html
support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html


#3 - 2019-01-08 10:07 - hidden

Hallo Florian,

erst einmal möchte ich Dir ein schönes neues Jahr wünschen.

Du hast mir beschrieben, wie ich mit ADTF 3 an die benötigten Prozessoren komme. Vielen Dank dafür! Nur sind wir noch lange nicht so weit. Wir

nutzen noch ADTF 2.14.

Die Changelogs hatte ich so verstanden, als wenn dieses ein für ADTF 2 nutzbares StandAlone-Tool wäre. Ist es so? Ist es überhaupt für ADTF 2

nutzbar?

Im ADTF 2.14 gibt es den oben beschriebenen Ordner leider nicht. Könnt Ihr irgendwelche Prozessoren fertig kompiliert für Windows 7 bereitstellen?

Vielen Dank und schöne Grüße

Marco

#4 - 2019-01-09 18:16 - hidden

Hallo Marco,

ebenso ein frohes Neues !

Die Changelogs hatte ich so verstanden, als wenn dieses ein für ADTF 2 nutzbares StandAlone-Tool wäre.

 Eigentlich ist es nicht so sondern für ADTF 3.x gedacht.

Wo liest du das raus ?

Ist es überhaupt für ADTF 2 nutzbar?

 Ja, weil die File Library, auf der das Tooling aufsetzt, ADTF 2.x und ADTF 3.x DAT Files beherrscht.

Das ganze ist eigentlich nur eine Portierung der Tools, die es in ADTF 2.x gab.

ADTF DAT Tool GUI = ADTF DATExporter

ADTF DAT Info GUI = Show DAT File Info

Die angesprochenden Processoren und Reader gibt es ebenso in ADTF 2.x bzw. dessen Toolboxen.

Der einzige Unterschied, wie die Tickets im Change Log auch aussagen, besteht darin, dass es mit ADTF Devenv gestartet wird und nicht Stand

Alone.

Hier bestünde nur die Möglichkeit, das ganze mit dem adtf_datexporter Kommandozeilentool headless zu machen.

Könnt Ihr irgendwelche Prozessoren fertig kompiliert für Windows 7 bereitstellen?

 Nein, du musst dir ja nur die ADTF 3.x Sachen installieren und kannst auch darauf zugreifen, ohne ADTF 3.x wirklich an sich zu nutzen.

#6 - 2019-01-10 11:42 - hidden

Hallo Florian,

ich habe jetzt ADTF 3.3.3 und die aktuelle Beta der Device Toolbox 3.0.0 auf meinem Rechner installiert und die Pfade auf

<ADTF_DIR>/3rdparty/adtf_datprocessing/bin und das bin der Device Toolbox gelegt.

Wenn ich jetzt mein ADTF2-Dat einlese, bleiben die Checkboxen vor den Zeilen ausgegraut und ich kann für die Zeile mit den CANs keinen

Prozessor auswählen.

In ADTF 2.14 bekomme ich mit dem DatTool das erwartete ASC.

Ich hatte die Zeilen

•    [ODADATTOOL-2] - Redesign ADTF 2.x Datexporter as standalone ADTF DAT Tool GUI

•    [ODADATTOOL-3] - Redesign ADTF 2.x Show Dat File Info as standalone ADTF DAT Info GUI

dahingehend interpretiert, daß es ein neues Tool für ADTF 2 wäre.

Ich verspreche mir viel davon, weil wir die Messungen häufig für andere Kollegen in von Vector-Tools lesbaren Formaten bereitstellen müssen. Und

ich erlebe es immer wieder, daß die Kollegen sich im mächtigen Tool ADTF DevEnv nicht an diese Menüpunkte ranwagen.

Könnte es sein, daß das StandAlone-Dat-Tool bei mir nicht richtig funktioniert, weil ich keine ADTF3-Lizenz habe?

Danke,

Marco
#7 - 2019-01-10 17:33 - hidden

Hallo Marco,

das wird auch erst mit der Release Version gehen, die BETA der Device TB ist noch nicht soweit.

Um es "mal auszuprobieren", nimm das Example DAT File aus ADTF 2.x (<ADTF_DIR>/bin/templates), dann müsste bei deinem Setup der geladene

CSV Processor auf den NESTED_STRUCT Stream anspringen.

#9 - 2019-01-14 16:00 - hidden

Hallo Florian,

nein, hier kommt auch kein PlugIn zur Auswahl. Ich habe jetzt die aus der Device TB wieder rausgeschmissen. Im Kommandofenster, das mit dem

Tool aufgeht habe ich einen Eintrag gesehen, der wohl die Ursache beschreibt:

qt.qpa.gl: Unable to disable rotation.

offlineStoragePath:  "C:\\Users\\MaOsten\\AppData\\Local\\Digitalwerk\\ADTF-DAT-

Tool-Gui\\QML\\OfflineStorage"

offlineStorageDatabaseFilePath:  "C:\\Users\\MaOsten\\AppData\\Local\\Digitalwer

k\\ADTF-DAT-Tool-Gui\\QML\\OfflineStorage\\Databases\\cf187344a0ba6ebe845a3d1acd

fe066d"

Looking for additional processors in these folders:

"C:/D/Programme/ADTF/3.3.3/3rdparty/adtfdat_processing/bin"

Adding processor:  "csv_processor.adtffileplugin"

the shared library 'C:/D/Programme/ADTF/3.3.3/3rdparty/adtfdat_processing/bin/cs

v_processor.adtffileplugin' does not provide the required adtfFileIsDebugPlugin

method

 Das ADTF Dat Tool GUI scheint etwas im Debug zu erwarten, das in ADTF 3.3.3 enthaltene PlugIn ist jedoch als Release aufgebaut. Versuche ich

die Version unter Debug einzubinden, fehlt mir eine Datei msvcp140d, vermutlich, weil ich keine Microsoft-Entwicklungsumgebung sondern nur die

Runtimes auf dem Rechner habe.

Danke und schöne Grüße

Marco

#10 - 2019-01-14 16:24 - hidden

- File csv_processor.adtffileplugin added

Hallo Marco,

du hast natürlich recht, ich hatte einen Knoten im Kopf...

Für ADTF selbst gilt natürlich dasgleiche wie bei der Device TB.

Die DAT Tools setzen auf File Library 0.4.0 auf, diese kommen erst mit ADTF 3.4.0.

D.h. mit dem Example aus ADTF 3.3.3 geht das (noch) nicht.

Du müsstest wie beschrieben die File Library bauen.

Damit du in der Zwischenzeit nicht auf dem Trockenen sitzt und das ganze mal ausprobieren kannst, im Anhang der gebaute CSV Processor aus der

File Library 0.4.0.

#12 - 2019-01-21 18:17 - hidden

- Project changed from 9 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

Hier sollte nun alles geklärt sein.

Es kam auch kein weiteres Feedback.

Ticket wird geschlossen.

#13 - 2019-01-21 18:17 - hidden

- Status changed from To Be Closed to Closed
#14 - 2019-01-29 17:25 - hidden

- Description updated

#15 - 2023-05-03 10:38 - hidden

- Customer changed from DAIMLER to MERCEDES-BENZ TRUCK

Files

csv_processor.adtffileplugin 594 KB 2019-01-14 hidden
